# counter

## Preparation


Update:

```
apt update
apt upgrade
apt autoremove
```


Purge everything not required:

```
apt purge triggerhappy bluez wpasupplicant modemmanager avahi-daemon
apt autoremove
```

Disable Bluetooth and WiFi at boot, put these lines in `/boot/firmware/config.txt`:

```
dtoverlay=disable-wifi
dtoverlay=disable-bt
```

Install build chain and kernel headers:

```
apt install build-essential raspberrypi-kernel-headers git
```


## Test LEDs:


GPIO26 is red, GPIO21 is blue:

Blue on:
```
pinctrl set 21 op dh
```

Blue off:
```
pinctrl set 21 op dl
```

Red on:
```
pinctrl set 26 op dh
```

Red off:
```
pinctrl set 26 op dl
```
